﻿





@import url('FDEDownloadStyle.css');

/*body {
    font-family: "Trebuchet MS", Verdana, Helvetica, Sans-Serif !important;
}*/

body {
    font-family: Verdana, Sans-Serif !important;
    font-size: .75em !important;
}


table {
    border-spacing: 6px;
    /*border-spacing: 10px;*/
    border-collapse: separate;
}


td {
    padding: 5px;
}

.paddingLeft3Right5 {
    padding-left: 3%;
    padding-right: 5%;
}

.paddingLeftNone{
    padding-left:0px;
}

#tblFireRating {
    border-collapse: collapse;
    text-align: center;
}

    #tblFireRating td {
        border: solid 1px rgb(113 113 122);
        vertical-align: top;
        padding-bottom: 5px !important;
    }
    #tblFireRating textarea,
    #tblBSENISO textarea {
        border: none !important;
    }

#tblBSENISO {
    border-collapse: collapse;
    text-align: center;
}

#tblBSENISO td {
    border: solid 1px rgb(113 113 122);
    vertical-align: top;
    padding-bottom: 5px !important;
}
#tblBSENISO td.noBorderClass,
#tblC3C4C5 td.noBorderClass,
#tblFireRating td.noBorderClass {
    border: none;
}
#tblC3C4C5 {
    border-collapse: collapse;
    border: solid 1px black;
}

    #tblC3C4C5 td {
        border: 1px solid rgb(113 113 122);
        text-align: center;
        padding-bottom: 5px !important;
    }

#trC3C4C5 td {
    padding-top: 5px;
    padding-bottom: 5px;
    padding-left: 11px;
    padding-right: 11px;
}

/*pop up*/
.popup-overlay {
    width: 85%;
    /*width: 50%;*/
    padding: 0px;
    margin: 0px;
    /*z-index: 50000;*/
    border: 3px solid #666666;
    position: sticky;
    /*position: fixed;*/
    bottom: 30%;
    left: 10%;
    background: #ffffff;
    visibility: hidden;
    /*Hides pop-up when there is no "active" class*/
    /*visibility: hidden;
    position: absolute;
    background: #ffffff;
    border: 3px solid #666666;
    width: 50%;*/
    /*height: 60%;*/
    /*left: 25%;
    top: 100%;*/
}

.popup-content {
    visibility: hidden;
}

.popup-overlay.active {
    /*displays pop-up when "active" class is present*/
    visibility: visible;
    text-align: center;
}

.popup-content.active {
    visibility: visible;
}

button {
    display: inline-block;
    vertical-align: middle;
    border-radius: 30px;
    margin: .20rem;
  /*  font-size: 1rem;*/
    color: #666666;
    background: #ffffff;
    border: 1px solid #666666;
}

    button:hover {
        border: 1px solid #666666;
        background: #666666;
        color: #ffffff;
    }

/*pop up*/



#tblMicroClimate,
#tblProtectionSpecification,
#tblSteelCriticalTemperatures {
    border-collapse: collapse;
}

    #tblMicroClimate td,
    #tblProtectionSpecification td,
    #tblSteelCriticalTemperatures td {
        border: solid 1px black;
        padding-bottom: 0px;
        padding-right: 25px;
        padding-left: 25px;
        padding-top: 0px;
    }



#trMicroClimateClarification {
    border-collapse: collapse;
}

#tblConstructionC3C4 {
    border-collapse: collapse;
}

    #tblConstructionC3C4 td {
        border: solid 1px black;
        cursor: pointer;
        padding-bottom: 0px;
        padding-right: 25px;
        padding-left: 25px;
        padding-top: 0px;
    }


#tblConstructionC5 {
    border-collapse: collapse;
}

    #tblConstructionC5 td {
        border: solid 1px black;
        padding-bottom: 0px;
        padding-right: 25px;
        padding-left: 25px;
        padding-top: 0px;
    }

#tblSteelDesign td {
    width: 20%;
}

    #tblSteelDesign td span.small {
        font-size: 11px;
    }

.paddingRight7 {
    padding-right: 7%;
}

#tblSteelDesign {
    border-collapse: collapse;
}

#tblIndex {
    border-collapse: collapse;
    border: solid 1px black;
    width: 97%;
}

    #tblIndex td {
        padding: 0px;
    }

#tblCellularBeam td {
    border: solid 1px black;
    padding-bottom: 0px;
    padding-right: 25px;
    padding-left: 25px;
    padding-top: 0px;
}

#tblFireStrategy td {
    border: solid 1px black;
    padding-bottom: 0px;
    padding-right: 25px;
    padding-left: 25px;
    padding-top: 0px;
}

#tblCellularBeam {
    border-collapse: collapse;
    width: 50%;
}

#tblFireStrategy {
    border-collapse: collapse;
    width: 50%;
}

div .small {
    font-size: 11px;
}



div .medium {
    font-size: 12px;
}

.bold {
    font-weight: bold;
}

.boldItalic {
    font-weight: bold;
    font-style: italic;
}



.italic {
    font-style: italic;
}

.labelNormal {
    font-weight: normal;
}

.small {
    font-size: 12px;
}

label {
    color: #000000;
    font-weight: bold;
}



.paddingTop5 {
    padding-top: 3%;
}


.lightgray {
    color: lightgray;
}

.center {
    margin-left: auto;
    margin-right: auto;
}

.textbold {
    font-weight: bold;
}

.textred {
    color: red;
}
input[type="checkbox"] {
    vertical-align: middle;

}
input[type="radio"] {
    vertical-align: bottom;
}
/*
#tblSteelDesign input[type="checkbox"] {
    appearance: none;
    background-color: #fff;
    margin: 0;
    font: inherit;
    color: currentColor;
    width: 5.15em;
    height: 1.50em;
    border: 0.15em solid currentColor;
    border-radius: 0.15em;
    transform: translateY(-0.075em);
    display: inline-grid;
    place-content: center;
}


    #tblSteelDesign input[type="checkbox"]::before {
        content: "";
        width: 0.65em;
        height: 0.65em;
        transform: scale(0);
        transition: 120ms transform ease-in-out;
        box-shadow: inset 1em 1em var(--form-control-color);
        background-color: #000000;
        transform-origin: bottom left;
        clip-path: polygon(14% 44%, 0 65%, 50% 100%, 100% 16%, 80% 0%, 43% 62%);
    }

    #tblSteelDesign input[type="checkbox"]:checked::before {
        transform: scale(1);
    }*/
input[type="submit"] {
    font-size: 13px;
    padding: 1px 6px;
}


.br {
    display: block;
    margin-bottom: 0em;
}


.marginTop5 {
    margin-top: 5%;
}

.marginBottom5 {
    padding-bottom: 5%;
}

.marginTop3 {
    margin-top: 3%;
}



    .marginBottom1 {
        margin-bottom: 1%;        
    }

    .padding-left3{
        padding-left:3%;
    }

    .floatLeft{
        float:left;
    }

    .width221{
        width:221px !important;
    }



.submitTable {
    border-collapse: collapse;
    border: 3px solid gray;
    width: 90%;
    line-height: 11px;
}

    .submitTable td {
        border: 1px solid gray;
    }

div .header {
    color: #0077C8;
    text-align: center;
    font-size: 18px;
    font-weight: bold;
}

.pageHeader {
    text-align: center;
    font-size: 16px;
    color: #0077C8;
    margin-top: 1%;
    font-weight: bold;
}

.pageHeaderWithoutUnderline {
    text-align: center;
    font-size: 16px;
    color: #0077C8;
    margin-top: 1%;
    font-weight: bold;
}
.pageMargin {
    margin: 0 13%;
}
.thankYouHeader {
    font-weight: bold;
    font-style: italic;
    color: #000000;
    margin-top: 5%;
    margin-bottom: 3%;
}

.autEmailNoMargin {
    font-size: 9px;
    color: black;
}

.autEmailNoMarginRed {
    font-size: 11px;
    color: red;
}

.autEmail {
    text-align: center;
    margin-top: 3%;
    font-size: 9px;
    color: black;
}


.furtherInfo {
    font-size: 11px;
    color: black;
}




.furtherInfoHeader {
    font-size: 14px;
    font-weight: bold;
    padding-block: 0px;
    color: red;
}

.button {
    font-weight: bold;
    border: 1px solid black;
    width: 25%;
    cursor: pointer;
    font-size: 12px;
}

.buttonWider {
    font-weight: bold;
    width: 150px;
    height: 69px;
    border: 1px solid black;
    cursor: pointer;
    font-size: 14px;
    background-color: gray;
    margin: 7%;
}

#tblIndex td button a {
    text-decoration: none;
    color: black;
}



.textAlignCen {
    text-align: center;
}


.italic {
    font-style: italic;
}

#tblContactNew,
#tblContactEdit {
    font-size: 12px;
}

#tblFileUpload {
    border: 1px solid DarkBlue;
    border-radius: 13px;
    border-spacing: 0;
    width: 100%;
    margin-top: 3%;
    margin-bottom: 1%;
}


    #tblFileUpload td {
        font-weight: bold;
    }


#tblDownloadedFiles {
    border-collapse: collapse;
    /*   border: 1px solid gray;*/
    width: 90%;
    margin-bottom: 5%;
    line-height: 11px;
    margin-left: 5%;
}

    #tblDownloadedFiles td {
        padding: 2px !important;
        border: 1px solid gray;
    }

.fileButton {
    background-color: lightgray;
    padding: 10px;
    font-size: 14px;
    font-weight: bold;
    cursor: pointer;
}



/*textbox with number without arraow*/
/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox */
input[type=number] {
    -moz-appearance: textfield;
    background-color: rgb(255, 255, 255);
    border: 1px solid #ccc;
    width: 200px;
    padding: 2px;

}

input[type=email] {
  /*  background-color: rgb(255, 255, 255);*/
    border: 1px solid #ccc;
    width: 200px;
    padding: 2px;
}

.borderone{
    border:1px solid black;
}

/* --------- Tooltip Styles ---------- */

.tooltip {
    position: relative;
    background: rgba(0,0,0,0.3);
    padding: 1px 5px;
    border-radius: 100%;
    font-size: 10px;
    cursor: help;
}

    .tooltip::before, .tooltip::after {
        position: absolute;
        left: 50%;
        opacity: 0;
        transition: allease0.3s;
    }

    .tooltip::before {
        content: "";
        border-width: 10px 8px 08px;
        border-style: solid;
        border-color: rgba(0,0,0,0.3) transparent transparent transparent;
        top: -20px;
        margin-left: -8px;
    }

    .tooltip::after {
        content: attr(data-tooltip);
        background: rgba(0,0,0,0.3);
        top: -20px;
        transform: translateY(-100%);
        font-size: 14px;
        margin-left: -150px;
        width: 300px;
        border-radius: 10px;
        color: #fff;
        padding: 14px;
    }

    /* Hover states */

    .tooltip:hover::before, .tooltip:hover::after {
        opacity: 1;
    }


    /*pdf report*/
#tblpdf {
    border-collapse: collapse;
    border: 1px solid gray;
    width: 100%;
    line-height: 14px;
}


#tblpdf  tr{
    page-break-inside: avoid;
}



    #tblpdf td {
        border: 1px solid gray;
        color:#000000;
        padding-top:10px;
        padding-bottom:10px;
    }

#tblPDFFireRating {
    border-collapse: collapse;
    width:100%;
}

#tblPDFBSENISO {
    border-collapse: collapse;
    width: 100%;
}

#tblPDFC3C4C5 {
    border-collapse: collapse;
    width: 100%;
}

#tblPDFOccupancyType {
    border-collapse: collapse;
    width: 100%;
}

    #tblPDFOccupancyType td{
        padding:10px;
    }

#thPDFHeader {
    text-align: center;
    line-height: 34px;
    font-weight: bold;
    font-size: 18px;
    background-color: #e8eef4;
}

    /*Submit progress*/
.submit-progress {
    position: fixed;
    top: 50%;
    left: 50%;
    height: 6em;
    padding-top: 2.3em;
    width: 20em;
    margin-left: -10em;
    padding-left: 2.1em;
    background-color: white;
    color: black;
    border:3px solid black;
}

.submit-progress-bg {
    background-color: lightgray;
    opacity: .5;
}

.hidden
{
    display:none;
}


/* The Modal (background) */
.modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

/* Modal Content/Box */
.modal-content {
    background-color: #fefefe;
    margin: 15% auto; /* 15% from the top and centered */
    border: 1px solid #888;
    width: 30%; /* Could be more or less, depending on screen size */
    border: 20px solid;
    border-color: lightblue;
    padding:15px;
}

/* The Close Button */
#contactModal #errorEmailProjectTicketReferenceModal .close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

#contactModal errorEmailProjectTicketReferenceModal .close:hover,
#contactModal errorEmailProjectTicketReferenceModal .close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

#tblSteelDesignationSize {
    table-layout: fixed;
    text-align: center;
    border: 1px solid gray;
    background-color: white;
    font-size: 10px;
    border-collapse: collapse;
    border-spacing: 0;
}

#tblSteelDesignationSize th {
    text-align: center;
    word-break: break-word;
    background-color: white;
    padding: 1px;
    border: 1px solid gray;
}
#tblSteelDesignationSize td {
    padding: 1px 3px;
}

.ui-dialog .ui-dialog-title,
.ui-dialog .ui-dialog-content {
    font-size: 12px;
}
.ui-button .ui-button-text {
    font-weight: bold;
    min-width: 70px;
    font-size: 12px;
}

textarea {
    resize: vertical;
    width: 99% !important;
    outline: none !important;
}
.validationImg {
    position: absolute;
    margin-top: -10px;
}

.table-bordered {
    width: 100%;
    border: 1px solid DarkBlue;
    border-radius: 13px;
    border-spacing: 0;
    padding-top: 10px;
    table-layout: fixed;
}